function [ ] = plot_points(x)

% Plots the two-components equilibrium

figure

m=length(x)/2;

a=x(1:m); %%% Cosine Fourier expansion of the function v(x)
b=x(m+1:2*m);   %%% Sine Fourier expansion of the function u(x) 

plot_u(a,1000,[0 0 1]) % Cosine plot
hold on
plot_v(b,1000,[1 0 0]) % Sine plot
hleg1 = legend('u','v');
set(hleg1,'Location','NorthWest')

set(gca,'FontSize',20)
%set(0, 'DefaultAxesFontSize', 18)
%set(0, 'DefaultAxesFontWeight', 'bold')
xlabel('$x$', 'Interpreter', 'latex', 'FontSize', 30)
%ylabel('$u(x)$', 'Interpreter', 'latex', 'FontSize', 25)

axis tight

end

