function [I,success] = rad_poly(x,lambda,nu)

success = 0; I=[];

DF = DF_Cauchy_Riemann(x,lambda);
A = inv(DF);
iA = intval(A);

m = length(x)/2;

a = x(1:m);       %%% Cosine Fourier expansion of the function v(x)
b = x(m+1:2*m);   %%% Sine Fourier expansion of the function u(x) 

%%%% Y0 %%%%

a_ext = [a;zeros(2*m-2,1)]; b_ext = [b;zeros(2*m-2,1)];

ix_ext = intval([a_ext;b_ext]);
ilambda = intval(lambda);
inu = intval(nu);

F_ext = iF_Cauchy_Riemann(ix_ext,ilambda);
F1_ext = F_ext(1:3*m-2);
F2_ext = F_ext(3*m-1:6*m-4);

k_tail = (m:3*m-3)';
y_F=abs(iA*[F1_ext(1:m);F2_ext(1:m)]);
y1_F=y_F(1:m); 
y2_F=y_F(m+1:2*m);
y1_tail=abs(F1_ext(m+1:3*m-2)./(-k_tail)); 
y2_tail=abs(F2_ext(m+1:3*m-2)./(-k_tail));
y1=[y1_F;y1_tail]; 
y2=[y2_F;y2_tail];

nu_power = [1 2*inu.^(1:3*m-3)]';

Y0 = intval(max(mag(sum(y1.*nu_power)),mag(sum(y2.*nu_power))));

%%%% Z0 %%%%

iDF = iDF_Cauchy_Riemann(x,lambda);

B=intval(eye(2*m)-iA*iDF);
i1=(1:m); i2=(m+1:2*m);
B11=B(i1,i1); B12=B(i1,i2); B21=B(i2,i1); B22=B(i2,i2); 

norm_B11=mnorma(m-1,B11,inu);
norm_B12=mnorma(m-1,B12,inu);
norm_B21=mnorma(m-1,B21,inu);
norm_B22=mnorma(m-1,B22,inu);

Z01=norm_B11+norm_B12; 
Z02=norm_B21+norm_B22;

Z0=intval(max(mag(Z01),mag(Z02)));

%%%% Z1 %%%%

a2 = [int_quadratic_sumFFT(intval([a;zeros(m+3,1)]),intval([a;zeros(m+3,1)]));zeros(2*m,1)];

hQaa = zeros(m,1);

for k=0:m-1
    k_prime = (m:k+2*m-2)';
    hQaa(k+1)=(1/2)*max(mag(abs( a2(abs(k-k_prime)+1) + a2(abs(k+k_prime)+1) )./inu.^abs(k_prime)));
end

hQaa=intval(hQaa);

iA11=iA(i1,i1); iA12=A(i1,i2); iA21=A(i2,i1); iA22=A(i2,i2); 

Z11=3*abs(ilambda)*norma(iA11*hQaa,inu)+1/(2*m);
Z12=3*abs(ilambda)*norma(iA21*hQaa,inu)+abs(ilambda)/(2*m)*(1+3*norma(intval(a),inu)^2);

Z1=intval(max(mag(Z11),mag(Z12)));

%%%% Z2 %%%%

norm_A11=mnorma(m-1,iA11,inu);
norm_A12=intval(max(mag(mnorma(m-1,iA12,inu)),1/m));
norm_A21=intval(max(mag(mnorma(m-1,iA21,inu)),1/m));
norm_A22=mnorma(m-1,iA22,inu);

normA = intval(max(mag(norm_A11+norm_A12),mag(norm_A21+norm_A22)));

Z2=intval(mag(3*abs(ilambda)*normA*(1+2*norma(a,inu))));

%display(['Y0 = ',num2str(mid(Y0)),', Z0 = ',num2str(mid(Z0)),', Z1 = ',num2str(mid(Z1)),', Z2 = ',num2str(mid(Z2))])

if inf(1-Z0-Z1)>0 
  if inf((1-Z0-Z1)^2-4*Y0*Z2) > 0  
    rmin=sup(((1-Z0-Z1) - sqrt((1-Z0-Z1)^2-4*Y0*Z2))/(2*Z2));
    rmax=inf(((1-Z0-Z1) + sqrt((1-Z0-Z1)^2-4*Y0*Z2))/(2*Z2));
    if rmin<rmax 
      success=1;
      I=[rmin rmax];
    else
      display('failure: rmin > rmax')
    end
  else
    display('failure: discriminant is negative')  
  end
else
    display('failure: linear term is positive')
end

end