% script that attempts to prove equilibria for lambda = 6

clc
close all
clear

load pt1
load pt2

N = length(x1); % The total size of x1

nu = 1.01; % The weight from the Banach space

disp(' ')

disp('%%%%%%%%%%%%%%%%% PROOF 0 %%%%%%%%%%%%%%%%%%%')

% Computes the index and co-index of 0 for the finite dimensional projection
iAdag = iDF_Cauchy_Riemann(intval(zeros(N,1)),intval(lambda)); %%% Needs to be computed with interval atithmetic
iAdag(N/2+1,N/2+1) = 0;
[Eigs0,rad_pol0] = verify_the_eigs(iAdag);
display(['At solution # ',num2str(0),' max radius enclosing the eigs = ',num2str(max(rad_pol0))])

int_Eigs0 = midrad(Eigs0,max(rad_pol0));

coindex = length(find(sup(real(int_Eigs0))<0));
index = length(find(inf(real(int_Eigs0))>0));
display(['At solution # ',num2str(0),' the finite Morse index = ',num2str(index),' and the finite Morse co-index = ',num2str(coindex)])

disp(' ')

disp('%%%%%%%%%%%%%%%%% PROOF 1 %%%%%%%%%%%%%%%%%%%')

% Proves x1 with the radii polynomial approach
[I1] = rad_poly(x1,lambda,nu);
display(I1)

% Computes the index and co-index of x1 for the finite dimensional projection
iAdag = iDF_Cauchy_Riemann(intval(x1),intval(lambda)); %%% Needs to be computed with interval atithmetic
iAdag(N/2+1,N/2+1) = 0;
[Eigs1,rad_pol1] = verify_the_eigs(iAdag);
display(['At solution # ',num2str(1),' max radius enclosing the eigs = ',num2str(max(rad_pol1))])

int_Eigs1 = midrad(Eigs1,max(rad_pol1));

coindex = length(find(sup(real(int_Eigs1))<0));
index = length(find(inf(real(int_Eigs1))>0));
display(['At solution # ',num2str(1),' the finite Morse index = ',num2str(index),' and the finite Morse co-index = ',num2str(coindex)])

plot_points(x1)

disp(' ')

disp('%%%%%%%%%%%%%%%%% PROOF 2 %%%%%%%%%%%%%%%%%%%')

% Proves x2 with the radii polynomial approach
[I2] = rad_poly(x2,lambda,nu);
display(I2)

% Computes the index and co-index of x2 for the finite dimensional projection
iAdag = iDF_Cauchy_Riemann(intval(x2),intval(lambda)); %%% Needs to be computed with interval atithmetic
iAdag(N/2+1,N/2+1) = 0;
[Eigs2,rad_pol2] = verify_the_eigs(iAdag);
display(['At solution # ',num2str(2),' max radius enclosing the eigs = ',num2str(max(rad_pol2))])

int_Eigs2 = midrad(Eigs2,max(rad_pol2));

coindex = length(find(sup(real(int_Eigs2))<0));
index = length(find(inf(real(int_Eigs2))>0));
display(['At solution # ',num2str(2),' the finite Morse index = ',num2str(index),' and the finite Morse co-index = ',num2str(coindex)])

plot_points(x2)